All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::detail::op_executor< A, OP, T > Struct Template Reference

Worker class for decomposing expression templates. More...

`#include <op_executor.hpp>`

## Detailed Description

### template<typename A, typename OP, typename T>
struct viennacl::linalg::detail::op_executor< A, OP, T >

Worker class for decomposing expression templates.

Template Parameters

  A | Type to which is assigned to
  OP | One out of {op_assign, op_inplace_add, op_inplace_sub} @
  T | Right hand side of the assignment

Definition at line 80 of file op_executor.hpp.

The documentation for this struct was generated from the following file:

- viennacl/linalg/detail/op_executor.hpp